> ## Documentation Index
> Fetch the complete documentation index at: https://docs.paytsoftware.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get administration notification by id

> Get administration notification by id



## OpenAPI

````yaml /openapi3.json get /v1/notifications/{id}
openapi: 3.0.0
info:
  title: API Endpoints
  description: >-
    This page allows you to explore the available API endpoints. Select a
    resource (e.g. debtors) and an endpoint (e.g. /v1/debtors) to inspect an
    example response and available parameters. An authorization header
    containing a Bearer token is required, see
    [Authentication](/authentication/authorization).
  version: 1.0.0
servers:
  - url: https://api.paytsoftware.com
    description: Production
  - url: https://demo-api.paytsoftware.com
    description: Demo / testing
security:
  - bearerAuth: []
tags:
  - name: administrations
    description: Operations about administrations
  - name: companies
    description: Operations about companies
  - name: contacts
    description: Operations about contacts
  - name: credit_cases
    description: Operations about credit_cases
  - name: debtors
    description: Operations about debtors
  - name: files
    description: Operations about files
  - name: orders
    description: Operations about orders
  - name: order_lines
    description: Operations about order_lines
  - name: invoices
    description: Operations about invoices
  - name: messages
    description: Operations about messages
  - name: notes
    description: Operations about notes
  - name: notifications
    description: Operations about notifications
  - name: payments
    description: Operations about payments
  - name: payment_conditions
    description: Operations about payment_conditions
  - name: payment_plans
    description: Operations about payment_plans
  - name: psp_mandates
    description: Operations about psp_mandates
  - name: psp_transactions
    description: Operations about psp_transactions
  - name: sign_up
    description: Operations about sign_ups
  - name: tasks
    description: Operations about tasks
  - name: vat_rates
    description: Operations about vat_rates
paths:
  /v1/notifications/{id}:
    get:
      tags:
        - notifications
      summary: Get administration notification by id
      description: Get administration notification by id
      operationId: getV1NotificationsId
      parameters:
        - in: path
          name: id
          description: Notification identifier
          required: true
          schema:
            type: string
        - in: query
          name: administration_id
          description: Administration identifier
          required: true
          schema:
            type: string
        - in: query
          name: fields
          description: >-
            JSON object defining fields to receive (e.g {"only": ["field1",
            {"field2": ["field3"]}]})
          required: false
          schema:
            type: string
      responses:
        '200':
          description: Notification
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CustomerApi_V1_NotificationEntity'
        '401':
          description: Not authenticated
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CustomerApi_ErrorEntity'
        '403':
          description: Access not authorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CustomerApi_ErrorEntity'
components:
  schemas:
    CustomerApi_V1_NotificationEntity:
      type: object
      properties:
        notification_type:
          type: string
          description: >-
            Notification type (see the [Notification
            model](https://docs.paytsoftware.com/models/notification)).
        resource_type:
          type: string
          description: >-
            Resource type the notification is about
            (administration|credit_case|debtor|invoice)
        acknowledged_by_user:
          allOf:
            - $ref: '#/components/schemas/CustomerApi_V1_UserEntity'
          description: User who acknowledged the notification
        details:
          allOf:
            - $ref: '#/components/schemas/CustomerApi_V1_NotificationDetailsEntity'
          description: Notification details
        credit_case_id:
          type: string
          description: Associated credit_case identifier
        debtor_id:
          type: string
          description: Associated debtor identifier
        administration_id:
          type: string
          description: Owning administration identifier
        id:
          type: string
          description: Unique identifier
        invoice_id:
          type: string
          description: Associated invoice identifier
        created_at:
          type: string
          format: date-time
          description: Timestamp at which the notification was created
        acknowledged_at:
          type: string
          format: date-time
          description: Timestamp at which the notification was acknowledged
        updated_at:
          type: string
          format: date-time
          description: Timestamp at which the notification was last updated
      required:
        - notification_type
        - resource_type
        - acknowledged_by_user
        - details
        - administration_id
        - id
        - created_at
      description: CustomerApi_V1_NotificationEntity model
    CustomerApi_ErrorEntity:
      type: object
      properties:
        code:
          type: string
          description: Error code
        message:
          type: string
          description: Error message
      required:
        - code
        - message
      description: CustomerApi_ErrorEntity model
    CustomerApi_V1_UserEntity:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier
        name:
          type: string
          description: Name
        email_address:
          type: string
          description: Email address
      required:
        - id
        - name
        - email_address
    CustomerApi_V1_NotificationDetailsEntity:
      type: object
      properties:
        bounce_reason:
          type: string
          description: Reason for a bounced mail (only for mail_bounced notification_type)
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        OAuth2 access token or static API token. See
        [Authorization](/authentication/authorization) for how to obtain one.

````